EDIT - feature request #6680

catch exception when user is expired
05/30/2017 01:59 PM - Patrick Plitzner

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

Hallo,

wenn der User aus irgendeinem Grund gesperrt ist, gibt es eine unschéne Fehlermeldung — vielleicht kénnte man die gelegentlich
mal abfangen?

Herzlichen Gruf3
Walter

login : wgb
editor version : 4.6.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / salvador
schema version : 4.1.0.0.201607300000
os : Windows 7 6.1 amd64
java : 1.8.0_131
org.springframework.security.authentication.AccountExpiredException: User account has expired
at org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticati
onProvider$DefaultPreAuthenticationChecks.check (AbstractUserDetailsAuthenticationProvider. java:370

)

at org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticati
onProvider.authenticate (AbstractUserDetailsAuthenticationProvider.java:164)

at org.springframework.security.authentication.ProviderManager.authenticate (Provid
erManager. java:167)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.validateLogin (RemotingLogi
nDialog. java:972)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.connect (RemotingLoginDialo
g.Jjava:879)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.connectButtonPressed (Remot
ingLoginDialog. java:480)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.access$2 (RemotingLoginDial
og.java:476)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog$6.widgetSelected (RemotingL
oginDialog. java:358)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:240)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3754)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.open (RemotingLoginDialog. j
ava:208)

at eu.etaxonomy.taxeditor.handler.ShowRemotingLoginWindowHandler.execute (ShowRemot
ingLoginWindowHandler. java:37)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)
at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC
ommand. java:508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.j
ava:169)

at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandle
rService.java:241)

at org.eclipse.ui.menus.CommandContributionItem.handleWidgetSelection (CommandContr
ibutionItem. java:829)

at org.eclipse.ui.menus.CommandContributionItem.access$19 (CommandContributionItem.
java:815)

at org.eclipse.ui.menus.CommandContributionItem$5.handleEvent (CommandContributionTI
tem. java:805)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench.java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench.java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher.java:110)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlLauncher.start (EclipseAppla
uncher. java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run (Main.java:1410)

History

#1 - 04/21/2020 12:20 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther

04/11/2024 3/3



http://www.tcpdf.org

